Loading...
Searching...
No Matches
BALL::CHPI Class Reference

`#include <BALL/SCORING/COMPONENTS/CHPI.h>`

Inheritance diagram for BALL::CHPI:

## Classes

class | AromaticRing
class | CHGroup
struct | Option
struct | Default

## Public Member Functions

Constructors and Destructors
| CHPI ()
| CHPI (ScoringFunction &sf)
| CHPI (const CHPI &chpi)
virtual | ~CHPI ()
Assignment
const CHPI & | operator= (const CHPI &chpi)
virtual void | clear ()
Predicates.
bool | operator== (const CHPI &chpi) const
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Setup Methods

Options | options
virtual bool | setup ()
void | setupLigand ()
void | update (const vector< std::pair< Atom *, Atom * > > &)
virtual double | updateScore ()

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Detailed Description

SLICK ringstacking component. {\bf Definition:} \URL{BALL/SCORING/COMPONENTS/CHPI.h}

Definition at line 20 of file CHPI.h.

## Constructor & Destructor Documentation

## CHPI() [1/3]

BALL::CHPI::CHPI | ( |  | ) |

Default constructor.

## CHPI() [2/3]

BALL::CHPI::CHPI | ( | ScoringFunction & | sf | ) |

Constructor.

## CHPI() [3/3]

BALL::CHPI::CHPI | ( | const CHPI & | chpi | ) |

Copy constructor

## ~CHPI()

virtual BALL::CHPI::~CHPI | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::CHPI::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ScoringComponent.

## operator=()

const CHPI & BALL::CHPI::operator= | ( | const CHPI & | chpi | ) |

Assignment.

## operator==()

bool BALL::CHPI::operator== | ( | const CHPI & | chpi | ) | const

## setup()

virtual bool BALL::CHPI::setup | ( |  | ) |

virtual

Setup method.

Reimplemented from BALL::ScoringComponent.

## setupLigand()

void BALL::CHPI::setupLigand | ( |  | ) |

virtual

Function that needs to be called once for every new ligand.
The default implementation of this base class does nothing and should be overloaded by derived classes if necessary.

Reimplemented from BALL::ScoringComponent.

## update()

void BALL::CHPI::update | ( | const vector< std::pair< Atom *, Atom * > > & | pair_vector | ) |

virtual

Update this ScoringComponent using the given atom-pairs.
This function should be overloaded by all ScoringComponents

Reimplemented from BALL::ScoringComponent.

## updateScore()

virtual double BALL::CHPI::updateScore | ( |  | ) |

virtual

Calculates and returns the component's energy.

Reimplemented from BALL::ScoringComponent.

## Member Data Documentation

## options

Options BALL::CHPI::options

Definition at line 239 of file CHPI.h.